Skip to main content
POST
/
productos
/
imagenes
/
{productoId}
Agregar imágenes a un producto
curl --request POST \
  --url https://rest.yafacture.com/productos/imagenes/{productoId} \
  --header 'x-api-key: <api-key>'
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://rest.yafacture.com/productos/imagenes/{productoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://rest.yafacture.com/productos/imagenes/{productoId}"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/productos/imagenes/{productoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
HttpResponse<String> response = Unirest.post("https://rest.yafacture.com/productos/imagenes/{productoId}")
.header("x-api-key", "<api-key>")
.asString();
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://rest.yafacture.com/productos/imagenes/{productoId}"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "message": "Forbidden resource",
  "error": "Forbidden",
  "statusCode": 403
}

Authorizations

x-api-key
string
header
required

X-API-Key authentication header for the development token generated in Yafacture

Path Parameters

productoId
string
required

Response